<?php

/**
 * Alok About Page
 * @package Alok
 *
*/

if( !class_exists('Alok_About_page') ):

	class Alok_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'alok_backend_menu'),999);

		}

		// Add Backend Menu
        function alok_backend_menu(){

            add_theme_page(esc_html__( 'Alok Options','alok' ), esc_html__( 'Alok Options','alok' ), 'activate_plugins', 'alok-about', array($this, 'alok_main_page'));

        }

        // Settings Form
        function alok_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Alok_About_page();

endif;