<?php
/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Alok
 * @since 1.0.0
 */
get_header();
    global $post;
    $alok_ed_post_rating = esc_html( get_post_meta( $post->ID, 'alok_ed_post_rating', true ) ); ?>

    <div class="wrapper-small">
        <div class="wrapper-inner">

            <div class="theme-panelarea-primary column column-sm-12">
                <main id="main" class="site-main <?php if( $alok_ed_post_rating ){ echo 'alok-no-comment'; } ?>" role="main">

                    <?php
                    if( have_posts() ): ?>

                        <div class="article-wraper">


                            <?php while (have_posts()) :
                                the_post();

                                get_template_part('template-parts/content', 'single');

                            endwhile; ?>

                        </div>

                    <?php
                    else :

                        get_template_part('template-parts/content', 'none');

                    endif;

                    /**
                     * Navigation
                     *
                     * @hooked alok_post_floating_nav - 10
                     * @hooked alok_single_post_navigation - 30
                    */

                    do_action('alok_navigation_action'); ?>

                </main>
            </div>

        </div>
    </div>

<?php
get_footer();
